/*
 * _gen/svc-Connection_Interface_Renaming.h - Header for TpSvcConnectionInterfaceRenaming
 *
 *  Copyright (C) 2005, 2006 Collabora Limited 
 *  Copyright (C) 2005, 2006 Nokia Corporation 
 *  Copyright (C) 2006 INdT 
 *
 * This file may be distributed under the same terms as the specification
 * from which it is generated.
 */

#ifndef __TP_SVC_CONNECTION_INTERFACE_RENAMING_H__
#define __TP_SVC_CONNECTION_INTERFACE_RENAMING_H__

#include <glib-object.h>
#include <dbus/dbus-glib.h>

G_BEGIN_DECLS

/**
 * TpSvcConnectionInterfaceRenaming:
 *
 * Dummy typedef representing any implementation of this interface.
 */
typedef struct _TpSvcConnectionInterfaceRenaming TpSvcConnectionInterfaceRenaming;

/**
 * TpSvcConnectionInterfaceRenamingClass:
 *
 * The class of TpSvcConnectionInterfaceRenaming.
 */
typedef struct _TpSvcConnectionInterfaceRenamingClass TpSvcConnectionInterfaceRenamingClass;


GType tp_svc_connection_interface_renaming_get_type (void);

/* TYPE MACROS */
#define TP_TYPE_SVC_CONNECTION_INTERFACE_RENAMING \
  (tp_svc_connection_interface_renaming_get_type ())
#define TP_SVC_CONNECTION_INTERFACE_RENAMING(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj), TP_TYPE_SVC_CONNECTION_INTERFACE_RENAMING, TpSvcConnectionInterfaceRenaming))
#define TP_IS_SVC_CONNECTION_INTERFACE_RENAMING(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj), TP_TYPE_SVC_CONNECTION_INTERFACE_RENAMING))
#define TP_SVC_CONNECTION_INTERFACE_RENAMING_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_INTERFACE ((obj), TP_TYPE_SVC_CONNECTION_INTERFACE_RENAMING, TpSvcConnectionInterfaceRenamingClass))


typedef void (*tp_svc_connection_interface_renaming_request_rename_impl) (TpSvcConnectionInterfaceRenaming *self,
                                                                          const gchar *name,
                                                                          DBusGMethodInvocation *context);
void tp_svc_connection_interface_renaming_implement_request_rename (TpSvcConnectionInterfaceRenamingClass *klass, tp_svc_connection_interface_renaming_request_rename_impl impl);


/**
 * tp_svc_connection_interface_renaming_return_from_request_rename:
 * @dbus_context: The D-Bus method invocation context
 *
 * Return successfully by calling dbus_g_method_return (@dbus_context,
 * ...). This inline function is just a type-safe wrapper for
 * dbus_g_method_return.
 */
static inline
/**/
void
tp_svc_connection_interface_renaming_return_from_request_rename (DBusGMethodInvocation *dbus_context)
;
static inline void
tp_svc_connection_interface_renaming_return_from_request_rename (DBusGMethodInvocation *dbus_context)
{
  dbus_g_method_return (dbus_context);
}
void tp_svc_connection_interface_renaming_emit_renamed (gpointer instance,
    const guint  original,
    const guint  new);



G_END_DECLS

#endif /* #ifndef __TP_SVC_CONNECTION_INTERFACE_RENAMING_H__*/
